package com.unit;

import android.app.Application;
import android.content.Context;
import android.webkit.WebView;

import com.unit.util.GlobalUtil;

public class DemoApp extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
        if(BuildConfig.DEBUG){
            // 开启webview调试模式（只用于开发阶段调试）
            WebView.setWebContentsDebuggingEnabled(true);
        }
        GlobalUtil.setApplication(this);
    }

    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
    }

    @Override
    public void onTerminate() {
        GlobalUtil.setApplication(null);
        super.onTerminate();
    }
}
